/** Diese Klasse reprsentiert eine Funktion. Funktionen sind dadurch 
  * gekennzeichnet, dass sie Werte aus dem Wertebereich eindeutig in den
  * Bildbereich abbilden. 
  * Die Klasse ist abstrakt, da sie durch konkrete Funktionen realisiert 
  * werden muss.
  * 
  * @author Kirsten 
  * @version 1.0
  */

abstract class Funktion
{
    /** Methode abbilden(), sie liefert den Funktionswert und muss 
      * konkret berschrieben werden.
      * 
      * @param x Wert aus dem Wertebereich
      * @return Funktionswert zu x
      */

    abstract double abbilden(double x);
}
